# std::basic_string_view<CharT,Traits>::rbegin, std::basic_string_view<CharT,Traits>::crbegin

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reverse_iterator rbegin() const noexcept; |  | (since C++17)
constexpr const_reverse_iterator crbegin() const noexcept; |  | (since C++17)

Returns a reverse iterator to the first character of the reversed view. It corresponds to the last character of the non-reversed view.

### Parameters

(none)

### Return value

`const_reverse_iterator` to the first character

### Complexity

Constant

### Example

Run this code

    #include <algorithm>
    #include <iostream>
    #include <iterator>
    #include <string_view>

    int main()
    {
        std::ostream_iterator<char> out_it(std::cout);
        std::string_view str_view("abcdef");

        std::copy(str_view.rbegin(), std::next(str_view.rbegin(), 3), out_it);
        *out_it = '\n';

        std::copy(str_view.crbegin(), std::next(str_view.crbegin(), 3), out_it);
        *out_it = '\n';
    }

Output:

    fed
    fed

### See also

rendcrend | returns a reverse iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/rbegin&oldid=105879"